Package com.verisign.epp.codec.maintenance.v1_0

## Enum EPPMaintenanceSystem.Impact

- java.lang.Object
- - java.lang.Enum<EPPMaintenanceSystem.Impact>
  - - com.verisign.epp.codec.maintenance.v1_0.EPPMaintenanceSystem.Impact

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EPPMaintenanceSystem.Impact>`
  Enclosing class:
    EPPMaintenanceSystem

      public static enum EPPMaintenanceSystem.Impact
      extends java.lang.Enum<EPPMaintenanceSystem.Impact>

  Impact enumerated values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `full` |
    `none` |
    `partial` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EPPMaintenanceSystem.Impact` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EPPMaintenanceSystem.Impact[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### full

          public static final EPPMaintenanceSystem.Impact full

    - #### partial

          public static final EPPMaintenanceSystem.Impact partial

    - #### none

          public static final EPPMaintenanceSystem.Impact none

  - ### Method Detail

    - #### values

          public static EPPMaintenanceSystem.Impact[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPMaintenanceSystem.Impact c : EPPMaintenanceSystem.Impact.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPMaintenanceSystem.Impact valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null